org.richfaces.application.push.impl

## Class AbstractTopic

- java.lang.Object
- - org.richfaces.application.push.impl.AbstractTopic

- All Implemented Interfaces:
    org.richfaces.application.push.Topic
  Direct Known Subclasses:
    TopicImpl

      public abstract class AbstractTopic
      extends Object
      implements org.richfaces.application.push.Topic

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTopic(org.richfaces.application.push.TopicKey key)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTopicListener(org.richfaces.application.push.TopicListener topicListener)`
    `void` | `checkSubscription(org.richfaces.application.push.TopicKey key, org.richfaces.application.push.Session session)`
    `org.richfaces.application.push.TopicKey` | `getKey()`
    `org.richfaces.application.push.MessageDataSerializer` | `getMessageDataSerializer()`
    `boolean` | `isAllowSubtopics()`
    `abstract void` | `publish(org.richfaces.application.push.TopicKey key, Object messageData)`
    `void` | `publishEvent(org.richfaces.application.push.TopicEvent event)`
    `void` | `removeTopicListener(org.richfaces.application.push.TopicListener topicListener)`
    `void` | `setAllowSubtopics(boolean allowSubtopics)`
    `void` | `setMessageDataSerializer(org.richfaces.application.push.MessageDataSerializer serializer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractTopic

          public AbstractTopic(org.richfaces.application.push.TopicKey key)

  - ### Method Detail

    - #### getMessageDataSerializer

          public org.richfaces.application.push.MessageDataSerializer getMessageDataSerializer()

      Specified by:
        `getMessageDataSerializer` in interface `org.richfaces.application.push.Topic`

    - #### setMessageDataSerializer

          public void setMessageDataSerializer(org.richfaces.application.push.MessageDataSerializer serializer)

      Specified by:
        `setMessageDataSerializer` in interface `org.richfaces.application.push.Topic`

    - #### isAllowSubtopics

          public boolean isAllowSubtopics()

    - #### setAllowSubtopics

          public void setAllowSubtopics(boolean allowSubtopics)

    - #### getKey

          public org.richfaces.application.push.TopicKey getKey()

      Specified by:
        `getKey` in interface `org.richfaces.application.push.Topic`

    - #### addTopicListener

          public void addTopicListener(org.richfaces.application.push.TopicListener topicListener)

      Specified by:
        `addTopicListener` in interface `org.richfaces.application.push.Topic`

    - #### removeTopicListener

          public void removeTopicListener(org.richfaces.application.push.TopicListener topicListener)

      Specified by:
        `removeTopicListener` in interface `org.richfaces.application.push.Topic`

    - #### checkSubscription

          public void checkSubscription(org.richfaces.application.push.TopicKey key,
                               org.richfaces.application.push.Session session)
                                 throws org.richfaces.application.push.SubscriptionFailureException

      Specified by:
        `checkSubscription` in interface `org.richfaces.application.push.Topic`
      Throws:
        `org.richfaces.application.push.SubscriptionFailureException`

    - #### publishEvent

          public void publishEvent(org.richfaces.application.push.TopicEvent event)

      Specified by:
        `publishEvent` in interface `org.richfaces.application.push.Topic`

    - #### publish

          public abstract void publish(org.richfaces.application.push.TopicKey key,
                     Object messageData)
                                throws org.richfaces.application.push.MessageException

      Specified by:
        `publish` in interface `org.richfaces.application.push.Topic`
      Throws:
        `org.richfaces.application.push.MessageException`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.